import type { ChunkCursor } from './ChunkCursor';
export type PacketCursor = {
    chunkIndex: number;
    intraChunkBitOffset: number;
    relativeBitOffset: number;
};
export declare function createPacketCursor(chunkIndex: number, intraChunkBitOffset: number, relativeBitOffset: number): PacketCursor;
export declare function fromChunkCursor(cursor: ChunkCursor): PacketCursor;
